收藏
回答

微信升级,小程序基础库没升

微信直接升级到最新的6.7.3,但是基础库还是老的2.3.2,如果把微信直接卸载,那么小程序的基础库就升到最新的2.4.2,但是不可能让客户把微信卸载,怎么让客户的基础库升级呢?

最后一次编辑于  2018-12-11  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏

2 个回答

  • 西城东岚
    西城东岚
    2018-12-11

    现在慌的要死,直接微信卸载,再重新安装微信,基础库是2.4.2,但是底部元素还是不出来,刚刚还可以

    2018-12-11
    赞同
    回复
  • 拾忆
    拾忆
    2018-12-11

    后台设置里修改下


    2018-12-11
    赞同
    回复 6
    • 西城东岚
      西城东岚
      2018-12-11

      现在已经把这个设置降低了,但是要升级小程序基础库是因为自定义导航栏后遇到Android机型中web-view整个页面的高度会被加上小程序的导航栏的高度,导致内嵌页面中底部一部分元素无法显示,查到是2.4.0升级后这个bug就没有了,所以一定要升级

      2018-12-11
      回复
    • 拾忆
      拾忆
      2018-12-11回复西城东岚

      所以要把这限制到高版本啊~~

      2018-12-11
      回复
    • 西城东岚
      西城东岚
      2018-12-11回复拾忆

      是这样,问题是就算微信是最高版本,基础库也不一定是最高版本,基础库是最高版本,这个bug也不一定可以,之前还以为基础库是最新的就可以,好绝望。。。


      2018-12-11
      回复
    • 拾忆
      拾忆
      2018-12-11回复西城东岚

      但是目前微信的做法就是判断你基础库版本太低,然后建议升级客户端,没有其它更骚的操作了~

      2018-12-11
      回复
    • 西城东岚
      西城东岚
      2018-12-11回复拾忆

      对,绝望

      2018-12-11
      回复
    查看更多(1)